Bug 639428 - iframes: Links in Monitoring > Tables take user to "unsanitized" iframe
iframes: Links in Monitoring > Tables take user to "unsanitized" iframe
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-iframes
  Show dependency treegraph
 
Reported: 2010-10-01 14:00 EDT by Corey Welton
Modified: 2015-02-01 18:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-01 14:00:55 EDT
Description of problem:
When user clicks any if the values in the "Name" or "Resource Name" columns in the Monitoring > Tables view, user is taken to an iframe that has not had the old jsf headers removed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Navigate to the Monitoring > Tables page for a Group (although this might be the case with single resources too?)
2.  Click any of the links in the Numeric Metrics | Name column or in the Group Member Health | Resource Name column
3.  View results
  
Actual results:
User is taken to an old jsf page that has not been sanitized - the old menu bars, etc., exist.  Furthermore, there is a link in the Metrics chart offering an option to "Save to Dashboard" which is probably invalid as well (this may be a separate bug)

Expected results:
Clean results with limited access to the old jsf navigation.

Additional info:
Comment 1 Corey Welton 2010-10-01 14:03:12 EDT
FWIW, the links in Group Member Health | Alerts do not appear to have the same problem, though others might exist.
Comment 5 John Mazzitelli 2011-02-17 14:33:27 EST
monitoring>tables page no longer has the jsf menus and things
Comment 6 Corey Welton 2011-03-09 12:32:24 EST
Verified
Comment 7 Corey Welton 2011-05-23 21:14:10 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 8 Corey Welton 2011-05-23 21:14:11 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 9 Corey Welton 2011-05-23 21:14:11 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.